> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.ordergroove.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.ordergroove.com/_mcp/server.

# Dump offer profile configuration

GET https://restapi.ordergroove.com/offer_profiles/{public_id}/dump/

Get a snapshot of the current offer profile's configuration including all of its incentives and the criteria for them to get applied in the form of conditions

Reference: https://docs.ordergroove.com/reference/rest-rpc-api/offer-profiles/offer-profile-dump

## Authentication

- `x-api-key` header (required) — Application API Scope — server-to-server, sent in the `x-api-key` header. See [Authentication](/api-reference/authentication).
- `authorization` header (required) — Storefront API Scope — client-side, scoped to one customer, sent as a signature in the `authorization` header. See [Authentication](/api-reference/authentication).

## Request

### Path parameters

- `public_id` (string, required) — Offer Profile's public ID

## Response

### 200

200

- `public_id` (string, optional)
- `name` (string, optional)
- `weight` (integer, optional, default: 0)
- `live` (boolean, optional, default: true)
- `initial_coupon` (OfferProfilesPublicIdDumpGetResponsesContentApplicationJsonSchemaInitialCoupon, optional)
- `recurring_coupon` (OfferProfilesPublicIdDumpGetResponsesContentApplicationJsonSchemaRecurringCoupon, optional)
- `offers` (list of OfferProfilesPublicIdDumpGetResponsesContentApplicationJsonSchemaOffersItems, optional)
- `premises` (list of OfferProfilesPublicIdDumpGetResponsesContentApplicationJsonSchemaPremisesItems, optional)

## Types

### OfferProfilesPublicIdDumpGetResponsesContentApplicationJsonSchemaInitialCoupon

- `public_id` (string, optional)
- `name` (string, optional)
- `code` (string, optional)
- `conditions` (list of OfferProfilesPublicIdDumpGetResponsesContentApplicationJsonSchemaInitialCouponConditionsItems, optional)
- `incentives` (list of OfferProfilesPublicIdDumpGetResponsesContentApplicationJsonSchemaInitialCouponIncentivesItems, optional)
- `standard_flex_incentives` (list of OfferProfilesPublicIdDumpGetResponsesContentApplicationJsonSchemaInitialCouponStandardFlexIncentivesItems, optional)

### OfferProfilesPublicIdDumpGetResponsesContentApplicationJsonSchemaRecurringCoupon

- `public_id` (string, optional)
- `name` (string, optional)
- `code` (string, optional)
- `conditions` (list of OfferProfilesPublicIdDumpGetResponsesContentApplicationJsonSchemaRecurringCouponConditionsItems, optional)
- `incentives` (list of OfferProfilesPublicIdDumpGetResponsesContentApplicationJsonSchemaRecurringCouponIncentivesItems, optional)
- `standard_flex_incentives` (list of OfferProfilesPublicIdDumpGetResponsesContentApplicationJsonSchemaRecurringCouponStandardFlexIncentivesItems, optional)

### OfferProfilesPublicIdDumpGetResponsesContentApplicationJsonSchemaOffersItems

- `public_id` (string, optional)
- `name` (string, optional)
- `offer_type` (integer, optional, default: 0)
- `weight` (integer, optional, default: 0)
- `live` (boolean, optional, default: true)

### OfferProfilesPublicIdDumpGetResponsesContentApplicationJsonSchemaPremisesItems

- `id` (integer, optional, default: 0)
- `public_id` (string, optional)
- `slug` (string, optional)
- `premise_type` (string, optional)
- `operand` (string, optional)
- `value` (string, optional)

### OfferProfilesPublicIdDumpGetResponsesContentApplicationJsonSchemaInitialCouponConditionsItems

- `public_id` (string, optional)
- `premises` (string, optional)
- `description` (string, optional)
- `incentives` (list of OfferProfilesPublicIdDumpGetResponsesContentApplicationJsonSchemaInitialCouponConditionsItemsIncentivesItems, optional)

### OfferProfilesPublicIdDumpGetResponsesContentApplicationJsonSchemaInitialCouponIncentivesItems

- `object` (integer, optional, default: 0)
- `field` (integer, optional, default: 0)
- `type` (string, optional)
- `value` (string, optional)
- `threshold_field` (any, optional)
- `threshold_value` (any, optional)
- `name` (string, optional)
- `public_id` (string, optional)
- `polymorphic_type` (string, optional)

### OfferProfilesPublicIdDumpGetResponsesContentApplicationJsonSchemaInitialCouponStandardFlexIncentivesItems

- `public_id` (string, optional)
- `standard` (string, optional)
- `incentive_type` (string, optional)
- `incentive_value` (integer, optional, default: 0)
- `premise_value` (list of string, optional)
- `type` (string, optional)
- `premise_operand` (any, optional)

### OfferProfilesPublicIdDumpGetResponsesContentApplicationJsonSchemaRecurringCouponConditionsItems

- `public_id` (string, optional)
- `premises` (string, optional)
- `description` (string, optional)
- `incentives` (list of OfferProfilesPublicIdDumpGetResponsesContentApplicationJsonSchemaRecurringCouponConditionsItemsIncentivesItems, optional)

### OfferProfilesPublicIdDumpGetResponsesContentApplicationJsonSchemaRecurringCouponIncentivesItems

- `object` (integer, optional, default: 0)
- `field` (integer, optional, default: 0)
- `type` (string, optional)
- `value` (string, optional)
- `threshold_field` (integer, optional, default: 0)
- `threshold_value` (any, optional)
- `name` (string, optional)
- `public_id` (string, optional)
- `polymorphic_type` (string, optional)

### OfferProfilesPublicIdDumpGetResponsesContentApplicationJsonSchemaRecurringCouponStandardFlexIncentivesItems

- `public_id` (string, optional)
- `standard` (string, optional)
- `incentive_type` (string, optional)
- `incentive_value` (integer, optional, default: 0)
- `premise_value` (list of string, optional)
- `type` (string, optional)
- `premise_operand` (any, optional)

### OfferProfilesPublicIdDumpGetResponsesContentApplicationJsonSchemaInitialCouponConditionsItemsIncentivesItems

- `object` (integer, optional, default: 0)
- `field` (integer, optional, default: 0)
- `type` (string, optional)
- `value` (string, optional)
- `threshold_field` (any, optional)
- `threshold_value` (any, optional)
- `name` (string, optional)
- `public_id` (string, optional)
- `polymorphic_type` (string, optional)

### OfferProfilesPublicIdDumpGetResponsesContentApplicationJsonSchemaRecurringCouponConditionsItemsIncentivesItems

- `object` (integer, optional, default: 0)
- `field` (integer, optional, default: 0)
- `type` (string, optional)
- `value` (string, optional)
- `threshold_field` (any, optional)
- `threshold_value` (any, optional)
- `name` (string, optional)
- `public_id` (string, optional)
- `polymorphic_type` (string, optional)

## Examples

**Response**

```json
{
  "public_id": "83dc2b6a519111ef869ed637592b5542",
  "name": "Live Offer Profile",
  "weight": 100,
  "live": true,
  "initial_coupon": {
    "public_id": "14e4a6f57a95481fa78e6a05cae53ea3",
    "name": "Initial Coupon",
    "code": "rc3_ioi_coupon",
    "conditions": [
      {
        "public_id": "134cd0c6111143f8b4e74cd48ddd2756",
        "premises": "9228",
        "description": "2 shipments prepaid condition",
        "incentives": [
          {
            "object": 2,
            "field": 1,
            "type": "discount_percent",
            "value": "15.00",
            "name": "2 shipments prepaid discount",
            "public_id": "1338940afcbe433ebfcb8e194a1913fe",
            "polymorphic_type": "Discount"
          }
        ]
      },
      {
        "public_id": "c29f4fde3f614505a22469026bb81d06",
        "premises": "9230",
        "description": "3 shipments prepaid condition",
        "incentives": [
          {
            "object": 2,
            "field": 1,
            "type": "discount_percent",
            "value": "15.00",
            "name": "3 shipments prepaid discount",
            "public_id": "6ca21d33c2fe493cbd501631032fbf52",
            "polymorphic_type": "Discount"
          }
        ]
      }
    ],
    "incentives": [
      {
        "object": 2,
        "field": 1,
        "type": "discount_percent",
        "value": "13.00",
        "name": "Default Initial Discount",
        "public_id": "32a236ddf6851f60b0744450be9bfe28",
        "polymorphic_type": "Discount"
      }
    ],
    "standard_flex_incentives": [
      {
        "public_id": "62cdb4dd50aa488aa017f82ea7485092",
        "standard": "SUBSCRIPTION_ONLY_PSI",
        "incentive_type": "discount_percent",
        "incentive_value": 10,
        "premise_value": [
          "bath",
          "fruits"
        ],
        "type": "initial"
      },
      {
        "public_id": "15bfb343addd4b1a96d7ed3278598215",
        "standard": "PSI",
        "incentive_type": "discount_percent",
        "incentive_value": 5,
        "premise_value": [
          "luxury"
        ],
        "type": "initial"
      }
    ]
  },
  "recurring_coupon": {
    "public_id": "c44ac861afe641ebbf9109a2bcace99e",
    "name": "Recurring Coupon",
    "code": "rc3_roi_coupon",
    "conditions": [
      {
        "public_id": "6c05eeed1cb34e19925821c1fd624c03",
        "premises": "9229",
        "description": "2 shipments prepaid condition",
        "incentives": [
          {
            "object": 2,
            "field": 1,
            "type": "discount_percent",
            "value": "15.00",
            "name": "2 shipments prepaid discount",
            "public_id": "745c26a1d8974119afa9e0ab8e6118b1",
            "polymorphic_type": "Discount"
          }
        ]
      },
      {
        "public_id": "9bdf1614a82c47c6857fabae6ea4503c",
        "premises": "9231",
        "description": "3 shipments prepaid condition",
        "incentives": [
          {
            "object": 2,
            "field": 1,
            "type": "discount_percent",
            "value": "15.00",
            "name": "3 shipments prepaid discount",
            "public_id": "fdc9e571031249d0a392d0029068f519",
            "polymorphic_type": "Discount"
          }
        ]
      }
    ],
    "incentives": [
      {
        "object": 2,
        "field": 1,
        "type": "discount_percent",
        "value": "14.00",
        "threshold_field": 1,
        "name": "Default Recurring Discount",
        "public_id": "bd3e24e35ec447d88ac71136b7e67638",
        "polymorphic_type": "Discount"
      }
    ],
    "standard_flex_incentives": [
      {
        "public_id": "e808f5091718460aa6ad492fef3ebbfb",
        "standard": "NON_SUBSCRIPTION_ONLY_PSI",
        "incentive_type": "discount_percent",
        "incentive_value": 50,
        "premise_value": [
          "fruit",
          "bath"
        ],
        "type": "recurring"
      },
      {
        "public_id": "8a13bcb41f8f40639619f6433bbdedcb",
        "standard": "PSI",
        "incentive_type": "discount_percent",
        "incentive_value": 3,
        "premise_value": [
          "luxury"
        ],
        "type": "recurring"
      },
      {
        "public_id": "222dab261ddf45d4aa426a312c79d361",
        "standard": "PSI",
        "incentive_type": "discount_percent",
        "incentive_value": 3,
        "premise_value": [
          "luxury2"
        ],
        "type": "recurring"
      },
      {
        "public_id": "f79953cbaccc4ba6989d8d334b193a41",
        "standard": "N_SUCCESSFUL_ITEMS_FOR_SUB",
        "incentive_type": "discount_percent",
        "incentive_value": 75,
        "premise_value": [
          "4"
        ],
        "type": "recurring",
        "premise_operand": "EQUAL"
      },
      {
        "public_id": "8537d1a1df294f3899cb19efa14a40f8",
        "standard": "NTH_ORDER_IN_CYCLE_FOR_SUBSCRIBER",
        "incentive_type": "discount_percent",
        "incentive_value": 80,
        "premise_value": [
          "5",
          "4"
        ],
        "type": "recurring"
      },
      {
        "public_id": "cd806658abdf4eba90c0567352c04428",
        "standard": "N_SUCCESSFUL_ITEMS_IN_CYCLE_FOR_SUB",
        "incentive_type": "discount_percent",
        "incentive_value": 90,
        "premise_value": [
          "5",
          "4"
        ],
        "type": "recurring"
      }
    ]
  },
  "offers": [
    {
      "public_id": "83f5a824559111ef861f1a1bb24efa7a",
      "name": "Default Offer",
      "offer_type": 1,
      "weight": 100,
      "live": true
    }
  ],
  "premises": [
    {
      "id": 9228,
      "public_id": "81ce2c4b813642c3b7a85de39e51cd84",
      "slug": "34deca71bfba4ae0aa34dc2d2c5b4b76",
      "premise_type": "Number of orders per billing for a prepaid subscription cycle",
      "operand": "eq",
      "value": "2"
    },
    {
      "id": 9229,
      "public_id": "cfa5bf0ef13e46cbb94febf28829e7ac",
      "slug": "4e7f81448d824ce09468adc52ed1a0c8",
      "premise_type": "Number of orders per billing for a prepaid subscription cycle",
      "operand": "eq",
      "value": "2"
    },
    {
      "id": 9230,
      "public_id": "248718103b6f4c888484d3ccd1f73776",
      "slug": "45ac2f4d929f494eb40cfbcf5e3ae463",
      "premise_type": "Number of orders per billing for a prepaid subscription cycle",
      "operand": "eq",
      "value": "3"
    },
    {
      "id": 9231,
      "public_id": "4fc06bcb37dd40c486567a2772bc944a",
      "slug": "3bc268c1926e4c30a83c72a8aee64ba6",
      "premise_type": "Number of orders per billing for a prepaid subscription cycle",
      "operand": "eq",
      "value": "3"
    }
  ]
}
```

**SDK Code**

```python Result
import requests

url = "https://restapi.ordergroove.com/offer_profiles/public_id/dump/"

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Result
const url = 'https://restapi.ordergroove.com/offer_profiles/public_id/dump/';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Result
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://restapi.ordergroove.com/offer_profiles/public_id/dump/"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Result
require 'uri'
require 'net/http'

url = URI("https://restapi.ordergroove.com/offer_profiles/public_id/dump/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Result
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://restapi.ordergroove.com/offer_profiles/public_id/dump/")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Result
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://restapi.ordergroove.com/offer_profiles/public_id/dump/', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Result
using RestSharp;

var client = new RestClient("https://restapi.ordergroove.com/offer_profiles/public_id/dump/");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Result
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://restapi.ordergroove.com/offer_profiles/public_id/dump/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```